Create Custom Rights Category

Create Custom Rights Category
Create a new custom rights category.

Creates a new custom rights category.

Request
URI
POST
https://{api_host}/cloudapi/1.0.0/rightsCategories
COPY
Request Body
RightsCategoryNode of type(s) application/json
Required

Show optional properties

{
    "name": "string",
    "bundleKey": "string"
}
{
    "name": "string",
    "id": "string",
    "description": "string",
    "bundleKey": "string",
    "parent": "string",
    "serviceNamespace": "string",
    "rightsCount": {
        "view": 0,
        "modify": 0
    },
    "subCategories": [
        "string"
    ]
}
string
name
Required
Constraints: minLength: 1 maxLength: 128

name

string
id
Optional

id

string
description
Optional
Constraints: minLength: 1 maxLength: 256

description

string
bundleKey
Required
Constraints: minLength: 1 maxLength: 128

bundleKey

string
parent
Optional

parent

string
serviceNamespace
Optional
Constraints: minLength: 1 maxLength: 128

serviceNamespace

object
rightsCount
Optional

RightsCount - A count of rights in a given category by type

array of string
subCategories
Optional

subCategories

Authentication
This operation uses the following authentication methods.
Responses
201

Created

Returns RightsCategoryNode of type(s) application/json;version=9.1.0
{
    "name": "string",
    "id": "string",
    "description": "string",
    "bundleKey": "string",
    "parent": "string",
    "serviceNamespace": "string",
    "rightsCount": {
        "view": 0,
        "modify": 0
    },
    "subCategories": [
        "string"
    ]
}

Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    [{"type":"Classic"},{"type":"Modern"}]
                
Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"bundleKey":"string","name":"string"}' https://{api_host}/cloudapi/1.0.0/rightsCategories